Package de.willuhn.jameica.hbci.gui.action

# Class UeberweisungNew

java.lang.Object
de.willuhn.jameica.hbci.gui.action.UeberweisungNew

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

public class UeberweisungNew extends Object implements de.willuhn.jameica.gui.Action
Action fuer neue Ueberweisung.

## Constructor Summary

Constructors
Constructor
Description
`UeberweisungNew()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAction(Object context)`
Als Context kann ein Konto, ein Empfaenger oder eine Ueberweisung angegeben werden.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UeberweisungNew

public UeberweisungNew()

## Method Details

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Als Context kann ein Konto, ein Empfaenger oder eine Ueberweisung angegeben werden. Abhaengig davon wird das eine oder andere Feld in der neuen Ueberweisung vorausgefuellt oder die uebergebene Ueberweisung geladen. Wenn nichts angegeben ist, wird eine leere Ueberweisung erstellt und angezeigt.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`